Index: trunk/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/AverageBitBinaryVectorComparer.cs
===================================================================
--- trunk/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/AverageBitBinaryVectorComparer.cs	(revision 15682)
+++ trunk/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/AverageBitBinaryVectorComparer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,12 +24,12 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.BinaryVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.NK {
   [Item("Average Bit Binary Vector Comparer", "Compares two binary vectors by their average positive bit location")]
-  [StorableClass]
+  [StorableType("F782E957-3D46-40BC-B152-045F9E2BE330")]
   public sealed class AverageBitBinaryVectorComparer : Item, IBinaryVectorComparer {
     [StorableConstructor]
-    private AverageBitBinaryVectorComparer(bool deserializing) : base(deserializing) { }
+    private AverageBitBinaryVectorComparer(StorableConstructorFlag _) : base(_) { }
     private AverageBitBinaryVectorComparer(AverageBitBinaryVectorComparer original, Cloner cloner)
       : base(original, cloner) { }
Index: trunk/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/IBinaryVectorComparer.cs
===================================================================
--- trunk/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/IBinaryVectorComparer.cs	(revision 15682)
+++ trunk/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/IBinaryVectorComparer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,6 +23,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.BinaryVectorEncoding;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.NK {
+  [StorableType("056C41CB-BF99-418E-AAF5-85273EF0831A")]
   public interface IBinaryVectorComparer : IItem, IComparer<BinaryVector> { }
 }
Index: trunk/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/LexicographicBinaryVectorComparer.cs
===================================================================
--- trunk/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/LexicographicBinaryVectorComparer.cs	(revision 15682)
+++ trunk/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/LexicographicBinaryVectorComparer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,12 +24,12 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.BinaryVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.NK {
   [Item("Lexicographic Binary Vector Comparer", "Compares two binary vectors lexicographically")]
-  [StorableClass]
+  [StorableType("E107BAC1-B863-4704-9129-F258B0974285")]
   public sealed class LexicographicBinaryVectorComparer : Item, IBinaryVectorComparer {
     [StorableConstructor]
-    private LexicographicBinaryVectorComparer(bool deserializing) : base(deserializing) { }
+    private LexicographicBinaryVectorComparer(StorableConstructorFlag _) : base(_) { }
     private LexicographicBinaryVectorComparer(LexicographicBinaryVectorComparer original, Cloner cloner)
       : base(original, cloner) { }
Index: trunk/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/MedianBitBinaryVectorComparer.cs
===================================================================
--- trunk/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/MedianBitBinaryVectorComparer.cs	(revision 15682)
+++ trunk/HeuristicLab.Problems.NK/3.3/BinaryVectorComparers/MedianBitBinaryVectorComparer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,12 +24,12 @@
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.BinaryVectorEncoding;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.NK {
   [Item("Median Bit Binary Vector Comparer", "Compares two binary vectors by the median positive bit location")]
-  [StorableClass]
+  [StorableType("C750F13C-F775-4A53-8725-DB26F38DC229")]
   public sealed class MedianBitBinaryVectorComparer : Item, IBinaryVectorComparer {
     [StorableConstructor]
-    private MedianBitBinaryVectorComparer(bool deserializing) : base(deserializing) { }
+    private MedianBitBinaryVectorComparer(StorableConstructorFlag _) : base(_) { }
     private MedianBitBinaryVectorComparer(MedianBitBinaryVectorComparer original, Cloner cloner)
       : base(original, cloner) { }
